Bug 7191 - xinitrc should run /etc/X11/xinit.d/98vboxadd-xclient if it exists
: xinitrc should run /etc/X11/xinit.d/98vboxadd-xclient if it exists
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-09 08:27 MSD by Andrey Bondrov
Modified: 2016-07-12 08:37 MSD (History)
1 user (show)

See Also:
RPM Package: xinitrc
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (161.66 KB, image/png)
2016-07-09 19:17 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-07-09 08:27:39 MSD
xinitrc should run /etc/X11/xinit.d/98vboxadd-xclient if it exists. It should fix screen resolution for SDDM, Calamares and perhaps some other pre-DE applications running in VirtualBox.
Comment 1 Andrey Bondrov 2016-07-09 08:28:12 MSD
Advisory: "xinitrc should run /etc/X11/xinit.d/98vboxadd-xclient if it exists. It should fix screen resolution for SDDM, Calamares and perhaps some other pre-DE applications running in VirtualBox."

https://abf.rosalinux.ru/build_lists/2685307
https://abf.rosalinux.ru/build_lists/2685308
Comment 2 Vladimir Potapov 2016-07-09 19:12:45 MSD
Screen resolution after logoff not fixed :-(
Comment 3 Vladimir Potapov 2016-07-09 19:17:55 MSD
Created attachment 4498 [details]
ss
Comment 4 Andrey Bondrov 2016-07-09 21:03:43 MSD
(In reply to comment #2)
> Screen resolution after logoff not fixed :-(

I confirm. VirtualBox sets proper resolution but SDDM ignores it. I'll try to fix it.
Comment 5 Andrey Bondrov 2016-07-09 23:12:33 MSD
Looks like it happens after very quick logout (login & logout).
Comment 6 Andrey Bondrov 2016-07-10 00:01:39 MSD
Please also test it with LXQt and SDDM in VirtualBox. Maybe it's something Plasma 5 specific.
Comment 7 Vladimir Potapov 2016-07-10 20:16:22 MSD
(In reply to comment #6)
> Please also test it with LXQt and SDDM in VirtualBox. Maybe it's something
> Plasma 5 specific.
It's plasma 5 bug. I check MATE, the system work correct.
Comment 8 Vladimir Potapov 2016-07-11 19:20:37 MSD
xinitrc-2.4.21-15
https://abf.rosalinux.ru/build_lists/2685307
https://abf.rosalinux.ru/build_lists/2685308
************************* Advisory **********************************
xinitrc should run /etc/X11/xinit.d/98vboxadd-xclient if it exists. It should fix screen resolution for SDDM, Calamares and perhaps some other pre-DE applications running in VirtualBox.
*********************************************************************
QA Verified